cURL
curl --request POST \ --url https://app.getcensus.com/api/v1/workspaces/{workspace_id}/invitations \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "emails": [ "newuser@example.com" ], "role": "owner" } '
{ "status": "success", "data": { "id": 90967, "email": "newuser@example.com", "created_at": "2023-09-22T20:25:45.185Z", "created_by_id": 13, "claimed_by_id": 11, "role": "owner" } }
Invite a user to a workspace. If the user already exists in the organization they will be automatically added to the workspace.
Bearer authorization using your Personal Access Token. Generate a new PAT on your user settings page.
ID of the workspace
Email addresses of the invitees.
["newuser@example.com"]
Role assigned to the invitee.
owner
editor
operator
viewer
"owner"
Successfully created workspace invitation.
The outcome of the creation request
success
"success"
Show child attributes
Was this page helpful?